org.apache.fop.util.text

## Class ChoiceFieldPart.Factory

- java.lang.Object
- - org.apache.fop.util.text.ChoiceFieldPart.Factory

- All Implemented Interfaces:
    AdvancedMessageFormat.PartFactory
  Enclosing class:
    ChoiceFieldPart

      public static class ChoiceFieldPart.Factory
      extends java.lang.Object
      implements AdvancedMessageFormat.PartFactory

  Factory for ChoiceFieldPart.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormat()` Returns the name of the message part format.
    `AdvancedMessageFormat.Part` | `newPart(java.lang.String fieldName, java.lang.String values)` Creates a new part by parsing the values parameter to configure the part.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### newPart

          public AdvancedMessageFormat.Part newPart(java.lang.String fieldName,
                                                    java.lang.String values)

      Creates a new part by parsing the values parameter to configure the part.
      Specified by:
        `newPart` in interface `AdvancedMessageFormat.PartFactory`
      Parameters:
        `fieldName` - the field name
        `values` - the unparsed parameter values
      Returns:
        the new message part

    - #### getFormat

          public java.lang.String getFormat()

      Returns the name of the message part format.
      Specified by:
        `getFormat` in interface `AdvancedMessageFormat.PartFactory`
      Returns:
        the name of the message part format

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.